package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TgenetransactionreportsDTO implements Serializable {

    private static final long serialVersionUID = 485653178227111L;

    private Integer tgenetransactionreportsPK;

    private String processcode;

    private String catalogtypeprocess;

    private String catalogcodetypeprocess;

    private Integer recordversion;

    private Short executionorder;

    private String status;

    private String managecache;

    private Integer tgenetransaction;

        public Integer getTgenetransactionreportsPK() {
    return tgenetransactionreportsPK;
    }

        public void setTgenetransactionreportsPK(Integer tgenetransactionreportsPK) {
    this.tgenetransactionreportsPK = tgenetransactionreportsPK;
    }

        public String getProcesscode() {
    return processcode;
    }

        public void setProcesscode(String processcode) {
    this.processcode = processcode;
    }

        public String getCatalogtypeprocess() {
    return catalogtypeprocess;
    }

        public void setCatalogtypeprocess(String catalogtypeprocess) {
    this.catalogtypeprocess = catalogtypeprocess;
    }

        public String getCatalogcodetypeprocess() {
    return catalogcodetypeprocess;
    }

        public void setCatalogcodetypeprocess(String catalogcodetypeprocess) {
    this.catalogcodetypeprocess = catalogcodetypeprocess;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public Short getExecutionorder() {
    return executionorder;
    }

        public void setExecutionorder(Short executionorder) {
    this.executionorder = executionorder;
    }

        public String getStatus() {
    return status;
    }

        public void setStatus(String status) {
    this.status = status;
    }

        public String getManagecache() {
    return managecache;
    }

        public void setManagecache(String managecache) {
    this.managecache = managecache;
    }

        public Integer getTgenetransaction() {
    return tgenetransaction;
    }

        public void setTgenetransaction(Integer tgenetransaction) {
    this.tgenetransaction = tgenetransaction;
    }

}